#include <bits/stdc++.h>
#define pb push_back
#define pf push_front
#define fi first
#define se second

using namespace std;
typedef long long ll;

int main()
{
	ios::sync_with_stdio(0);
	cin.tie(0);
	ll x1, x2, y1, y2;
	cin >> x1 >> y1 >> x2 >> y2;
	if(x1==x2 || y1==y2)
    {
        cout << 2 << "\n";
    }
    else if(abs(x1-x2)==abs(y1-y2))
    {
        cout << 1 << "\n";
    }
    else
    {
        cout << 0  << "\n";
    }
    return 0;
}